[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# dosmemmove

Move data between 2 DOS real mode memory locations

## Declaration

Source position: go32.pp line 181

`const dosmemmove: procedure( = @dpmi_dosmemmove;`
`sseg: Word;`
`sofs: Word;`
`dseg: Word;`
`dofs: Word;`
`count: LongInt`
`)`

## Description

Copies count bytes of data between two dos real mode memory locations.

Parameters:

sseg
  source real mode segment.
sofs
  source real mode offset.
dseg
  destination real mode segment.
dofs
  destination real mode offset.
count
  number of bytes to copy.

Notes: No range check is performed in any way.

## Errors

None.

## See also

dosmemput |  | Copy data from the heap to DOS real mode memory
dosmemget |  | Copy data from DOS memory to the heap.
dosmemfillchar |  | Fill a region of DOS memory with a specific byte-sized value
dosmemfillword |  | Fill a region of DOS memory with a specific word-sized value
seg_move |  | Move data between 2 locations
seg_fillchar |  | Fill segment with byte value
seg_fillword |  | Fill segment with word value

Documentation generated on: Feb 26 2014